# NetworkLoadBalancersApi

All URIs are relative to *<https://api.ionos.com/cloudapi/v6>*

| Method                                                                                                                                            | HTTP request                                                                                                           | Description                             |
| ------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- | --------------------------------------- |
| [**datacentersNetworkloadbalancersDelete**](#datacentersnetworkloadbalancersdelete)                                                               | **DELETE** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}                                    | Delete Network Load Balancers           |
| [**datacentersNetworkloadbalancersFindByNetworkLoadBalancerId**](#datacentersnetworkloadbalancersfindbynetworkloadbalancerid)                     | **GET** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}                                       | Retrieve Network Load Balancers         |
| [**datacentersNetworkloadbalancersFlowlogsDelete**](#datacentersnetworkloadbalancersflowlogsdelete)                                               | **DELETE** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/flowlogs/{flowLogId}               | Delete NLB Flow Logs                    |
| [**datacentersNetworkloadbalancersFlowlogsFindByFlowLogId**](#datacentersnetworkloadbalancersflowlogsfindbyflowlogid)                             | **GET** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/flowlogs/{flowLogId}                  | Retrieve NLB Flow Logs                  |
| [**datacentersNetworkloadbalancersFlowlogsGet**](#datacentersnetworkloadbalancersflowlogsget)                                                     | **GET** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/flowlogs                              | List NLB Flow Logs                      |
| [**datacentersNetworkloadbalancersFlowlogsPatch**](#datacentersnetworkloadbalancersflowlogspatch)                                                 | **PATCH** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/flowlogs/{flowLogId}                | Partially modify NLB Flow Logs          |
| [**datacentersNetworkloadbalancersFlowlogsPost**](#datacentersnetworkloadbalancersflowlogspost)                                                   | **POST** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/flowlogs                             | Create a NLB Flow Log                   |
| [**datacentersNetworkloadbalancersFlowlogsPut**](#datacentersnetworkloadbalancersflowlogsput)                                                     | **PUT** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/flowlogs/{flowLogId}                  | Modify NLB Flow Logs                    |
| [**datacentersNetworkloadbalancersForwardingrulesDelete**](#datacentersnetworkloadbalancersforwardingrulesdelete)                                 | **DELETE** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules/{forwardingRuleId} | Delete NLB forwarding rules             |
| [**datacentersNetworkloadbalancersForwardingrulesFindByForwardingRuleId**](#datacentersnetworkloadbalancersforwardingrulesfindbyforwardingruleid) | **GET** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules/{forwardingRuleId}    | Retrieve NLB forwarding rules           |
| [**datacentersNetworkloadbalancersForwardingrulesGet**](#datacentersnetworkloadbalancersforwardingrulesget)                                       | **GET** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules                       | List NLB forwarding rules               |
| [**datacentersNetworkloadbalancersForwardingrulesPatch**](#datacentersnetworkloadbalancersforwardingrulespatch)                                   | **PATCH** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules/{forwardingRuleId}  | Partially modify NLB forwarding rules   |
| [**datacentersNetworkloadbalancersForwardingrulesPost**](#datacentersnetworkloadbalancersforwardingrulespost)                                     | **POST** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules                      | Create a NLB Forwarding Rule            |
| [**datacentersNetworkloadbalancersForwardingrulesPut**](#datacentersnetworkloadbalancersforwardingrulesput)                                       | **PUT** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}/forwardingrules/{forwardingRuleId}    | Modify NLB forwarding rules             |
| [**datacentersNetworkloadbalancersGet**](#datacentersnetworkloadbalancersget)                                                                     | **GET** /datacenters/{datacenterId}/networkloadbalancers                                                               | List Network Load Balancers             |
| [**datacentersNetworkloadbalancersPatch**](#datacentersnetworkloadbalancerspatch)                                                                 | **PATCH** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}                                     | Partially modify Network Load Balancers |
| [**datacentersNetworkloadbalancersPost**](#datacentersnetworkloadbalancerspost)                                                                   | **POST** /datacenters/{datacenterId}/networkloadbalancers                                                              | Create a Network Load Balancer          |
| [**datacentersNetworkloadbalancersPut**](#datacentersnetworkloadbalancersput)                                                                     | **PUT** /datacenters/{datacenterId}/networkloadbalancers/{networkLoadBalancerId}                                       | Modify Network Load Balancers           |

## datacentersNetworkloadbalancersDelete

> datacentersNetworkloadbalancersDelete(datacenterId, networkLoadBalancerId, opts)

Delete Network Load Balancers

Remove the specified Network Load Balancer from the data center.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
// Delete Network Load Balancers
api_instance
  .datacentersNetworkloadbalancersDelete({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                      | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**          | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId** | **string**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **pretty**                | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                 | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**       | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

nil (empty response body)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersNetworkloadbalancersFindByNetworkLoadBalancerId

> datacentersNetworkloadbalancersFindByNetworkLoadBalancerId(datacenterId, networkLoadBalancerId, opts)

Retrieve Network Load Balancers

Retrieve the properties of the specified Network Load Balancer within the data center.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
// Retrieve Network Load Balancers
api_instance
  .datacentersNetworkloadbalancersFindByNetworkLoadBalancerId({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                      | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**          | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId** | **string**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **pretty**                | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                 | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**       | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**NetworkLoadBalancer**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/networkloadbalancer)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersNetworkloadbalancersFlowlogsDelete

> datacentersNetworkloadbalancersFlowlogsDelete(datacenterId, networkLoadBalancerId, flowLogId, opts)

Delete NLB Flow Logs

Delete the specified Network Load Balancer Flow Log.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
// Delete NLB Flow Logs
api_instance
  .datacentersNetworkloadbalancersFlowlogsDelete({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    flowLogId: flowLogId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                      | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**          | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId** | **string**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **flowLogId**             | **string**  | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                                | \[default to undefined]            |
| **pretty**                | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                 | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**       | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

nil (empty response body)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersNetworkloadbalancersFlowlogsFindByFlowLogId

> datacentersNetworkloadbalancersFlowlogsFindByFlowLogId(datacenterId, networkLoadBalancerId, flowLogId, opts)

Retrieve NLB Flow Logs

Retrieve the specified Network Load Balancer Flow Log.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
// Retrieve NLB Flow Logs
api_instance
  .datacentersNetworkloadbalancersFlowlogsFindByFlowLogId({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    flowLogId: flowLogId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                      | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**          | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId** | **string**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **flowLogId**             | **string**  | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                                | \[default to undefined]            |
| **pretty**                | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                 | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**       | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlog)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersNetworkloadbalancersFlowlogsGet

> datacentersNetworkloadbalancersFlowlogsGet(datacenterId, networkLoadBalancerId, opts)

List NLB Flow Logs

List all the Flow Logs for the specified Network Load Balancer.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
var filterMap = new Map()
filterMap.set("<property_name>", "<property_value>")
// List NLB Flow Logs
api_instance
  .datacentersNetworkloadbalancersFlowlogsGet({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
    orderBy: "<property_name>"
    maxResults: 2,
    filters: filterMap
    options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                      | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**          | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId** | **string**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **pretty**                | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                 | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**       | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**FlowLogs**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlogs)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersNetworkloadbalancersFlowlogsPatch

> datacentersNetworkloadbalancersFlowlogsPatch(datacenterId, networkLoadBalancerId, flowLogId, networkLoadBalancerFlowLogProperties, opts)

Partially modify NLB Flow Logs

Update the properties of the specified Network Load Balancer Flow Log.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
// Partially modify NLB Flow Logs
api_instance
  .datacentersNetworkloadbalancersFlowlogsPatch({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    flowLogId: flowLogId_example,
    networkLoadBalancerFlowLogProperties: networkLoadBalancerFlowLogProperties_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                                     | Type                                                                                                                   | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ---------------------------------------- | ---------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**                         | **string**                                                                                                             | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId**                | **string**                                                                                                             | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **flowLogId**                            | **string**                                                                                                             | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                                | \[default to undefined]            |
| **networkLoadBalancerFlowLogProperties** | [**FlowLogProperties**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlogproperties) | The properties of the Flow Log to be updated.                                                                                                                                                                                                                                                                                                                                                                                                 |                                    |
| **pretty**                               | **boolean**                                                                                                            | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                                | **number**                                                                                                             | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**                      | **number**                                                                                                             | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlog)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersNetworkloadbalancersFlowlogsPost

> datacentersNetworkloadbalancersFlowlogsPost(datacenterId, networkLoadBalancerId, networkLoadBalancerFlowLog, opts)

Create a NLB Flow Log

Adds a new Flow Log for the Network Load Balancer.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
// Create a NLB Flow Log
api_instance
  .datacentersNetworkloadbalancersFlowlogsPost({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    networkLoadBalancerFlowLog: networkLoadBalancerFlowLog_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                           | Type                                                                                               | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------------------ | -------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**               | **string**                                                                                         | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId**      | **string**                                                                                         | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **networkLoadBalancerFlowLog** | [**FlowLog**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlog) | The Flow Log to create.                                                                                                                                                                                                                                                                                                                                                                                                                       |                                    |
| **pretty**                     | **boolean**                                                                                        | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                      | **number**                                                                                         | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**            | **number**                                                                                         | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlog)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## datacentersNetworkloadbalancersFlowlogsPut

> datacentersNetworkloadbalancersFlowlogsPut(datacenterId, networkLoadBalancerId, flowLogId, networkLoadBalancerFlowLog, opts)

Modify NLB Flow Logs

Modify the specified Network Load Balancer Flow Log.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
// Modify NLB Flow Logs
api_instance
  .datacentersNetworkloadbalancersFlowlogsPut({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    flowLogId: flowLogId_example,
    networkLoadBalancerFlowLog: networkLoadBalancerFlowLog_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                           | Type                                                                                                     | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------------------ | -------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**               | **string**                                                                                               | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId**      | **string**                                                                                               | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **flowLogId**                  | **string**                                                                                               | The unique ID of the Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                                | \[default to undefined]            |
| **networkLoadBalancerFlowLog** | [**FlowLogPut**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlogput) | The modified NLB Flow Log.                                                                                                                                                                                                                                                                                                                                                                                                                    |                                    |
| **pretty**                     | **boolean**                                                                                              | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                      | **number**                                                                                               | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**            | **number**                                                                                               | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**FlowLog**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/flowlog)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## datacentersNetworkloadbalancersForwardingrulesDelete

> datacentersNetworkloadbalancersForwardingrulesDelete(datacenterId, networkLoadBalancerId, forwardingRuleId, opts)

Delete NLB forwarding rules

Delete the specified Network Load Balancer forwarding rule.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
// Delete NLB forwarding rules
api_instance
  .datacentersNetworkloadbalancersForwardingrulesDelete({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    forwardingRuleId: forwardingRuleId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                      | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**          | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId** | **string**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **forwardingRuleId**      | **string**  | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                         | \[default to undefined]            |
| **pretty**                | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                 | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**       | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

nil (empty response body)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersNetworkloadbalancersForwardingrulesFindByForwardingRuleId

> datacentersNetworkloadbalancersForwardingrulesFindByForwardingRuleId(datacenterId, networkLoadBalancerId, forwardingRuleId, opts)

Retrieve NLB forwarding rules

Retrieve the specified Network Load Balance forwarding rule.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
// Retrieve NLB forwarding rules
api_instance
  .datacentersNetworkloadbalancersForwardingrulesFindByForwardingRuleId({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    forwardingRuleId: forwardingRuleId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                      | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**          | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId** | **string**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **forwardingRuleId**      | **string**  | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                         | \[default to undefined]            |
| **pretty**                | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                 | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**       | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**NetworkLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/networkloadbalancerforwardingrule)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersNetworkloadbalancersForwardingrulesGet

> datacentersNetworkloadbalancersForwardingrulesGet(datacenterId, networkLoadBalancerId, opts)

List NLB forwarding rules

List the forwarding rules for the specified Network Load Balancer.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
var filterMap = new Map()
filterMap.set("<property_name>", "<property_value>")
// List NLB forwarding rules
api_instance
  .datacentersNetworkloadbalancersForwardingrulesGet({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
    orderBy: "<property_name>"
    maxResults: 2,
    filters: filterMap
    options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                      | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**          | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId** | **string**  | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **pretty**                | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                 | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**       | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**NetworkLoadBalancerForwardingRules**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/networkloadbalancerforwardingrules)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersNetworkloadbalancersForwardingrulesPatch

> datacentersNetworkloadbalancersForwardingrulesPatch(datacenterId, networkLoadBalancerId, forwardingRuleId, networkLoadBalancerForwardingRuleProperties, opts)

Partially modify NLB forwarding rules

Update the properties of the specified Network Load Balancer forwarding rule.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
// Partially modify NLB forwarding rules
api_instance
  .datacentersNetworkloadbalancersForwardingrulesPatch({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    forwardingRuleId: forwardingRuleId_example,
    networkLoadBalancerForwardingRuleProperties: networkLoadBalancerForwardingRuleProperties_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                                            | Type                                                                                                                                                                       | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ----------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**                                | **string**                                                                                                                                                                 | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId**                       | **string**                                                                                                                                                                 | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **forwardingRuleId**                            | **string**                                                                                                                                                                 | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                         | \[default to undefined]            |
| **networkLoadBalancerForwardingRuleProperties** | [**NetworkLoadBalancerForwardingRuleProperties**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/networkloadbalancerforwardingruleproperties) | The properties of the forwarding rule to be updated.                                                                                                                                                                                                                                                                                                                                                                                          |                                    |
| **pretty**                                      | **boolean**                                                                                                                                                                | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                                       | **number**                                                                                                                                                                 | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**                             | **number**                                                                                                                                                                 | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**NetworkLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/networkloadbalancerforwardingrule)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersNetworkloadbalancersForwardingrulesPost

> datacentersNetworkloadbalancersForwardingrulesPost(datacenterId, networkLoadBalancerId, networkLoadBalancerForwardingRule, opts)

Create a NLB Forwarding Rule

Creates a forwarding rule for the specified Network Load Balancer.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
// Create a NLB Forwarding Rule
api_instance
  .datacentersNetworkloadbalancersForwardingrulesPost({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    networkLoadBalancerForwardingRule: networkLoadBalancerForwardingRule_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                                  | Type                                                                                                                                                   | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**                      | **string**                                                                                                                                             | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId**             | **string**                                                                                                                                             | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **networkLoadBalancerForwardingRule** | [**NetworkLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/networkloadbalancerforwardingrule) | The forwarding rule to create.                                                                                                                                                                                                                                                                                                                                                                                                                |                                    |
| **pretty**                            | **boolean**                                                                                                                                            | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                             | **number**                                                                                                                                             | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**                   | **number**                                                                                                                                             | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**NetworkLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/networkloadbalancerforwardingrule)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## datacentersNetworkloadbalancersForwardingrulesPut

> datacentersNetworkloadbalancersForwardingrulesPut(datacenterId, networkLoadBalancerId, forwardingRuleId, networkLoadBalancerForwardingRule, opts)

Modify NLB forwarding rules

Modify the specified Network Load Balancer forwarding rule.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
// Modify NLB forwarding rules
api_instance
  .datacentersNetworkloadbalancersForwardingrulesPut({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    forwardingRuleId: forwardingRuleId_example,
    networkLoadBalancerForwardingRule: networkLoadBalancerForwardingRule_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                                  | Type                                                                                                                                                         | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**                      | **string**                                                                                                                                                   | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId**             | **string**                                                                                                                                                   | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **forwardingRuleId**                  | **string**                                                                                                                                                   | The unique ID of the forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                         | \[default to undefined]            |
| **networkLoadBalancerForwardingRule** | [**NetworkLoadBalancerForwardingRulePut**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/networkloadbalancerforwardingruleput) | The modified NLB forwarding rule.                                                                                                                                                                                                                                                                                                                                                                                                             |                                    |
| **pretty**                            | **boolean**                                                                                                                                                  | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**                             | **number**                                                                                                                                                   | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber**                   | **number**                                                                                                                                                   | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |

### Return type

[**NetworkLoadBalancerForwardingRule**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/networkloadbalancerforwardingrule)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: application/json
* **Accept**: application/json

## datacentersNetworkloadbalancersGet

> datacentersNetworkloadbalancersGet(datacenterId, opts)

List Network Load Balancers

List all the Network Load Balancers within the data center.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
var filterMap = new Map()
filterMap.set("<property_name>", "<property_value>")
// List Network Load Balancers
api_instance
  .datacentersNetworkloadbalancersGet({
    datacenterId: datacenterId_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56,
    offset: 56,
    limit: 56, 
    orderBy: "<property_name>"
    maxResults: 2,
    filters: filterMap
    options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                | Type        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| ------------------- | ----------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**    | **string**  | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **pretty**          | **boolean** | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
| **depth**           | **number**  | Controls the detail depth of the response objects. GET /datacenters/\[ID] - depth=0: Only direct properties are included; children (servers and other elements) are not included. - depth=1: Direct properties and children references are included. - depth=2: Direct properties and children properties are included. - depth=3: Direct properties and children properties and children\&#39;s children are included. - depth=... and so on | \[optional]\[default to 0]         |
| **xContractNumber** | **number**  | Users with multiple contracts must provide the contract number, for which all API requests are to be executed.                                                                                                                                                                                                                                                                                                                                | \[optional]\[default to undefined] |
| **offset**          | **number**  | The first element (from the complete list of the elements) to include in the response (used together with \<b>\<i>limit\</i>\</b> for pagination).                                                                                                                                                                                                                                                                                            | \[optional]\[default to 0]         |
| **limit**           | **number**  | The maximum number of elements to return (use together with offset for pagination).                                                                                                                                                                                                                                                                                                                                                           | \[optional]\[default to 1000]      |

### Return type

[**NetworkLoadBalancers**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/networkloadbalancers)

### Authorization

Basic Authentication, Token Authentication

### HTTP request headers

* **Content-Type**: Not defined
* **Accept**: application/json

## datacentersNetworkloadbalancersPatch

> datacentersNetworkloadbalancersPatch(datacenterId, networkLoadBalancerId, networkLoadBalancerProperties, opts)

Partially modify Network Load Balancers

Update the properties of the specified Network Load Balancer within the data center.

### Examples

```javascript
const ionoscloud = require('@ionos-cloud/sdk-nodejs');
// setup authorization
const config = new ionoscloud.Configuration({
    username: 'YOUR_USERNAME',
    password: 'YOUR_PASSWORD',
    apiKey: 'YOUR_API_KEY'
});
const api_instance = new ionoscloud.NetworkLoadBalancersApi(config);
// Partially modify Network Load Balancers
api_instance
  .datacentersNetworkloadbalancersPatch({
    datacenterId: datacenterId_example,
    networkLoadBalancerId: networkLoadBalancerId_example,
    networkLoadBalancerProperties: networkLoadBalancerProperties_example,
    pretty: true,
    depth: 56,
    xContractNumber: 56, 
        options: {}
  })
  .then((response) => console.log(response.data))
  .catch((error) => console.log(error.response.data));
```

### Parameters

| Name                              | Type                                                                                                                                           | Description                                                                                                                                                                                                                                                                                                                                                                                                                                   | Notes                              |
| --------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------- |
| **datacenterId**                  | **string**                                                                                                                                     | The unique ID of the data center.                                                                                                                                                                                                                                                                                                                                                                                                             | \[default to undefined]            |
| **networkLoadBalancerId**         | **string**                                                                                                                                     | The unique ID of the Network Load Balancer.                                                                                                                                                                                                                                                                                                                                                                                                   | \[default to undefined]            |
| **networkLoadBalancerProperties** | [**NetworkLoadBalancerProperties**](https://docs.ionos.com/sections-test/nodejs-sdk/cloud-api-nodejs-sdk/models/networkloadbalancerproperties) | The properties of the Network Load Balancer to be updated.                                                                                                                                                                                                                                                                                                                                                                                    |                                    |
| **pretty**                        | **boolean**                                                                                                                                    | Controls whether the response is pretty-printed (with indentations and new lines).                                                                                                                                                                                                                                                                                                                                                            | \[optional]\[default to true]      |
[...]
